# MySQL dump 8.16
#
# Host: 10.0.3.2    Database: bs
#--------------------------------------------------------
# Server version	3.23.43-log

#
# Table structure for table 'phpbb_attach_quota'
#

CREATE TABLE phpbb_attach_quota (
  user_id mediumint(8) unsigned NOT NULL default '0',
  group_id mediumint(8) unsigned NOT NULL default '0',
  quota_type smallint(2) NOT NULL default '0',
  quota_limit_id mediumint(8) unsigned NOT NULL default '0',
  KEY quota_type (quota_type)
) ;

#
# Table structure for table 'phpbb_attachments'
#

CREATE TABLE phpbb_attachments (
  attach_id mediumint(8) unsigned NOT NULL default '0',
  post_id mediumint(8) unsigned NOT NULL default '0',
  privmsgs_id mediumint(8) unsigned NOT NULL default '0',
  user_id_1 mediumint(8) NOT NULL default '0',
  user_id_2 mediumint(8) NOT NULL default '0',
  KEY attach_id_post_id (attach_id,post_id),
  KEY attach_id_privmsgs_id (attach_id,privmsgs_id)
) ;

#
# Table structure for table 'phpbb_attachments_config'
#

CREATE TABLE phpbb_attachments_config (
  config_name char(255) default NULL,
  config_value char(255) default NULL
) ;

#
# Table structure for table 'phpbb_attachments_desc'
#

CREATE TABLE phpbb_attachments_desc (
  attach_id mediumint(8) unsigned NOT NULL auto_increment,
  physical_filename varchar(255) NOT NULL default '',
  real_filename varchar(255) NOT NULL default '',
  download_count mediumint(8) unsigned NOT NULL default '0',
  comment varchar(255) default NULL,
  extension varchar(100) default NULL,
  mimetype varchar(100) default NULL,
  filesize int(20) NOT NULL default '0',
  filetime int(11) NOT NULL default '0',
  thumbnail tinyint(1) NOT NULL default '0',
  words int(11) NOT NULL default '0',
  PRIMARY KEY  (attach_id),
  KEY filetime (filetime),
  KEY physical_filename (physical_filename(10)),
  KEY filesize (filesize),
  KEY words (words)
) ;

#
# Table structure for table 'phpbb_auth_access'
#

CREATE TABLE phpbb_auth_access (
  group_id mediumint(8) NOT NULL default '0',
  forum_id smallint(5) unsigned NOT NULL default '0',
  auth_view tinyint(1) NOT NULL default '0',
  auth_read tinyint(1) NOT NULL default '0',
  auth_post tinyint(1) NOT NULL default '0',
  auth_reply tinyint(1) NOT NULL default '0',
  auth_edit tinyint(1) NOT NULL default '0',
  auth_delete tinyint(1) NOT NULL default '0',
  auth_sticky tinyint(1) NOT NULL default '0',
  auth_announce tinyint(1) NOT NULL default '0',
  auth_vote tinyint(1) NOT NULL default '0',
  auth_pollcreate tinyint(1) NOT NULL default '0',
  auth_attachments tinyint(1) NOT NULL default '0',
  auth_mod tinyint(1) NOT NULL default '0',
  auth_download tinyint(1) NOT NULL default '0',
  KEY group_id (group_id),
  KEY forum_id (forum_id)
) ;

#
# Table structure for table 'phpbb_banlist'
#

CREATE TABLE phpbb_banlist (
  ban_id mediumint(8) unsigned NOT NULL auto_increment,
  ban_userid mediumint(8) NOT NULL default '0',
  ban_ip varchar(8) NOT NULL default '',
  ban_email varchar(255) default NULL,
  PRIMARY KEY  (ban_id),
  KEY ban_ip_user_id (ban_ip,ban_userid)
) ;

#
# Table structure for table 'phpbb_brochure'
#

CREATE TABLE phpbb_brochure (
  brochure_id int(11) NOT NULL auto_increment,
  person_id int(11) NOT NULL default '0',
  product_id int(11) NOT NULL default '0',
  description text,
  file_location text,
  price double(16,4) NOT NULL default '0.0000',
  priority int(11) default NULL,
  deleted_date datetime default NULL,
  date_listed datetime default NULL,
  points int(11) NOT NULL default '0',
  class_id int(11) NOT NULL default '0',
  rating_sum int(11) default NULL,
  rating_num int(11) default NULL,
  last_rated_date datetime default NULL,
  last_accessed_date datetime default NULL,
  brochure_title text,
  brochure_subject text,
  UNIQUE KEY brochure_id (brochure_id),
  KEY person_id (person_id),
  KEY product_id (product_id),
  KEY class_id (class_id),
  KEY price (price),
  KEY points (points)
) ;

#
# Table structure for table 'phpbb_categories'
#

CREATE TABLE phpbb_categories (
  cat_id mediumint(8) unsigned NOT NULL auto_increment,
  cat_title varchar(100) default NULL,
  cat_order mediumint(8) unsigned NOT NULL default '0',
  college_id int(11) NOT NULL default '-1',
  book_id int(11) NOT NULL default '-1',
  PRIMARY KEY  (cat_id),
  KEY cat_order (cat_order),
  KEY college_id (college_id),
  KEY book_id (book_id)
) ;

#
# Table structure for table 'phpbb_config'
#

CREATE TABLE phpbb_config (
  config_name varchar(255) NOT NULL default '',
  config_value varchar(255) NOT NULL default '',
  PRIMARY KEY  (config_name)
) ;

#
# Table structure for table 'phpbb_confirm'
#

CREATE TABLE phpbb_confirm (
  confirm_id char(32) NOT NULL default '',
  session_id char(32) NOT NULL default '',
  code char(6) NOT NULL default '',
  PRIMARY KEY  (session_id,confirm_id)
) ;

#
# Table structure for table 'phpbb_country'
#

CREATE TABLE phpbb_country (
  country_id int(11) NOT NULL auto_increment,
  country_name text,
  country_abr text,
  UNIQUE KEY country_id (country_id)
) ;

#
# Table structure for table 'phpbb_disallow'
#

CREATE TABLE phpbb_disallow (
  disallow_id mediumint(8) unsigned NOT NULL auto_increment,
  disallow_username varchar(25) NOT NULL default '',
  PRIMARY KEY  (disallow_id)
) ;

#
# Table structure for table 'phpbb_dvds'
#

CREATE TABLE phpbb_dvds (
  item_id int(11) NOT NULL auto_increment,
  title text NOT NULL,
  studio text NOT NULL,
  released date NOT NULL default '1980-05-07',
  status text,
  sound text,
  versions text,
  price double(16,4) default NULL,
  rating text,
  year int(11) NOT NULL default '0',
  genre text NOT NULL,
  aspect text,
  upc varchar(15) NOT NULL default '',
  dev_released_date datetime NOT NULL default '1980-05-07 00:00:00',
  id int(11) default NULL,
  PRIMARY KEY  (item_id),
  KEY upc (upc),
  KEY released (released),
  KEY year (year),
  KEY dev_released_date (dev_released_date)
) ;

#
# Table structure for table 'phpbb_extension_groups'
#

CREATE TABLE phpbb_extension_groups (
  group_id mediumint(8) NOT NULL auto_increment,
  group_name varchar(20) NOT NULL default '',
  cat_id tinyint(2) NOT NULL default '0',
  allow_group tinyint(1) NOT NULL default '0',
  download_mode tinyint(1) unsigned NOT NULL default '1',
  upload_icon varchar(100) default '',
  max_filesize int(20) NOT NULL default '0',
  forum_permissions varchar(255) NOT NULL default '',
  PRIMARY KEY  (group_id)
) ;

#
# Table structure for table 'phpbb_extensions'
#

CREATE TABLE phpbb_extensions (
  ext_id mediumint(8) unsigned NOT NULL auto_increment,
  group_id mediumint(8) unsigned NOT NULL default '0',
  extension varchar(100) NOT NULL default '',
  comment varchar(100) default NULL,
  PRIMARY KEY  (ext_id)
) ;

#
# Table structure for table 'phpbb_flog'
#

CREATE TABLE phpbb_flog (
  log_id int(11) NOT NULL auto_increment,
  access_date datetime default NULL,
  page_url text,
  user_ip varchar(16) default NULL,
  request_log text,
  referer text,
  PRIMARY KEY  (log_id),
  KEY access_date (access_date),
  FULLTEXT KEY page_url (page_url),
  FULLTEXT KEY referer (referer)
) ;

#
# Table structure for table 'phpbb_forbidden_extensions'
#

CREATE TABLE phpbb_forbidden_extensions (
  ext_id mediumint(8) unsigned NOT NULL auto_increment,
  extension varchar(100) NOT NULL default '',
  PRIMARY KEY  (ext_id)
) ;

#
# Table structure for table 'phpbb_forum_prune'
#

CREATE TABLE phpbb_forum_prune (
  prune_id mediumint(8) unsigned NOT NULL auto_increment,
  forum_id smallint(5) unsigned NOT NULL default '0',
  prune_days smallint(5) unsigned NOT NULL default '0',
  prune_freq smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (prune_id),
  KEY forum_id (forum_id)
) ;

#
# Table structure for table 'phpbb_forums'
#

CREATE TABLE phpbb_forums (
  forum_id smallint(5) unsigned NOT NULL default '0',
  cat_id mediumint(8) unsigned NOT NULL default '0',
  forum_name varchar(150) default NULL,
  forum_desc text,
  forum_status tinyint(4) NOT NULL default '0',
  forum_order mediumint(8) unsigned NOT NULL default '1',
  forum_posts mediumint(8) unsigned NOT NULL default '0',
  forum_topics mediumint(8) unsigned NOT NULL default '0',
  forum_last_post_id mediumint(8) unsigned NOT NULL default '0',
  prune_next int(11) default NULL,
  prune_enable tinyint(1) NOT NULL default '0',
  auth_view tinyint(2) NOT NULL default '0',
  auth_read tinyint(2) NOT NULL default '0',
  auth_post tinyint(2) NOT NULL default '0',
  auth_reply tinyint(2) NOT NULL default '0',
  auth_edit tinyint(2) NOT NULL default '0',
  auth_delete tinyint(2) NOT NULL default '0',
  auth_sticky tinyint(2) NOT NULL default '0',
  auth_announce tinyint(2) NOT NULL default '0',
  auth_vote tinyint(2) NOT NULL default '0',
  auth_pollcreate tinyint(2) NOT NULL default '0',
  auth_attachments tinyint(2) NOT NULL default '0',
  auth_download tinyint(2) NOT NULL default '0',
  college_id int(11) NOT NULL default '-1',
  book_id int(11) NOT NULL default '-1',
  PRIMARY KEY  (forum_id),
  KEY forums_order (forum_order),
  KEY cat_id (cat_id),
  KEY forum_last_post_id (forum_last_post_id),
  KEY college_id (college_id),
  KEY book_id (book_id)
) ;

#
# Table structure for table 'phpbb_groups'
#

CREATE TABLE phpbb_groups (
  group_id mediumint(8) NOT NULL auto_increment,
  group_type tinyint(4) NOT NULL default '1',
  group_name varchar(40) NOT NULL default '',
  group_description varchar(255) NOT NULL default '',
  group_moderator mediumint(8) NOT NULL default '0',
  group_single_user tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (group_id),
  KEY group_single_user (group_single_user)
) ;

#
# Table structure for table 'phpbb_hood'
#

CREATE TABLE phpbb_hood (
  hood_id int(11) NOT NULL auto_increment,
  hood_name text,
  state_id int(11) NOT NULL default '0',
  country_id int(11) NOT NULL default '0',
  url text,
  ipD varchar(15) NOT NULL default '',
  ipC varchar(11) NOT NULL default '',
  ipB varchar(7) NOT NULL default '',
  ipA char(3) NOT NULL default '',
  PRIMARY KEY  (hood_id),
  KEY state_id (state_id),
  KEY country_id (country_id),
  KEY ipD (ipD),
  KEY ipC (ipC),
  KEY ipB (ipB),
  KEY ipA (ipA)
) ;

#
# Table structure for table 'phpbb_points_history'
#

CREATE TABLE phpbb_points_history (
  points_history_id int(11) NOT NULL auto_increment,
  person_id int(11) NOT NULL default '-1',
  brochure_id int(11) NOT NULL default '-1',
  item_id int(11) NOT NULL default '-1',
  rater_id int(11) NOT NULL default '-1',
  rcv_date datetime NOT NULL default '1980-01-01 00:00:00',
  aim text,
  points int(11) NOT NULL default '0',
  points_total int(11) NOT NULL default '0',
  content text,
  UNIQUE KEY points_history_id (points_history_id),
  KEY person_id (person_id),
  KEY rater_id (rater_id),
  KEY brochure_id (brochure_id),
  KEY item_id (item_id),
  KEY rcv_date (rcv_date),
  KEY points (points),
  KEY points_total (points_total)
) ;

#
# Table structure for table 'phpbb_posts'
#

CREATE TABLE phpbb_posts (
  post_id mediumint(8) unsigned NOT NULL auto_increment,
  topic_id mediumint(8) unsigned NOT NULL default '0',
  forum_id smallint(5) unsigned NOT NULL default '0',
  poster_id mediumint(8) NOT NULL default '0',
  post_time int(11) NOT NULL default '0',
  poster_ip varchar(8) NOT NULL default '',
  post_username varchar(25) default NULL,
  enable_bbcode tinyint(1) NOT NULL default '1',
  enable_html tinyint(1) NOT NULL default '0',
  enable_smilies tinyint(1) NOT NULL default '1',
  enable_sig tinyint(1) NOT NULL default '1',
  post_edit_time int(11) default NULL,
  post_edit_count smallint(5) unsigned NOT NULL default '0',
  post_attachment tinyint(1) NOT NULL default '0',
  post_type int(11) NOT NULL default '0',
  PRIMARY KEY  (post_id),
  KEY forum_id (forum_id),
  KEY topic_id (topic_id),
  KEY poster_id (poster_id),
  KEY post_time (post_time),
  KEY post_type (post_type)
) ;

#
# Table structure for table 'phpbb_posts_text'
#

CREATE TABLE phpbb_posts_text (
  post_id mediumint(8) unsigned NOT NULL default '0',
  bbcode_uid varchar(10) NOT NULL default '',
  post_subject varchar(60) default NULL,
  post_text text,
  PRIMARY KEY  (post_id)
) ;

#
# Table structure for table 'phpbb_posts_types'
#

CREATE TABLE phpbb_posts_types (
  post_type int(11) NOT NULL auto_increment,
  post_name varchar(16) default NULL,
  post_image text,
  PRIMARY KEY  (post_type)
) ;

#
# Table structure for table 'phpbb_privmsgs'
#

CREATE TABLE phpbb_privmsgs (
  privmsgs_id mediumint(8) unsigned NOT NULL auto_increment,
  privmsgs_type tinyint(4) NOT NULL default '0',
  privmsgs_subject varchar(255) NOT NULL default '0',
  privmsgs_from_userid mediumint(8) NOT NULL default '0',
  privmsgs_to_userid mediumint(8) NOT NULL default '0',
  privmsgs_date int(11) NOT NULL default '0',
  privmsgs_ip varchar(8) NOT NULL default '',
  privmsgs_enable_bbcode tinyint(1) NOT NULL default '1',
  privmsgs_enable_html tinyint(1) NOT NULL default '0',
  privmsgs_enable_smilies tinyint(1) NOT NULL default '1',
  privmsgs_attach_sig tinyint(1) NOT NULL default '1',
  privmsgs_attachment tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (privmsgs_id),
  KEY privmsgs_from_userid (privmsgs_from_userid),
  KEY privmsgs_to_userid (privmsgs_to_userid)
) ;

#
# Table structure for table 'phpbb_privmsgs_text'
#

CREATE TABLE phpbb_privmsgs_text (
  privmsgs_text_id mediumint(8) unsigned NOT NULL default '0',
  privmsgs_bbcode_uid varchar(10) NOT NULL default '0',
  privmsgs_text text,
  PRIMARY KEY  (privmsgs_text_id)
) ;

#
# Table structure for table 'phpbb_product'
#

CREATE TABLE phpbb_product (
  product_id int(11) NOT NULL auto_increment,
  product_type text,
  product_name text,
  product_description text,
  designer text,
  year_designed int(11) NOT NULL default '1980',
  priority int(11) NOT NULL default '0',
  created_date datetime NOT NULL default '1980-01-01 00:00:00',
  deleted_date datetime NOT NULL default '1980-01-01 00:00:00',
  class_id int(11) NOT NULL default '1',
  approved char(1) NOT NULL default 'N',
  items int(11) NOT NULL default '0',
  brochures int(11) NOT NULL default '0',
  product_code varchar(11) NOT NULL default '',
  UNIQUE KEY product_id (product_id),
  UNIQUE KEY isbn_key (product_code),
  KEY class_id (class_id),
  KEY year_designed (year_designed),
  KEY items (items),
  KEY brochures (brochures),
  KEY product_code (product_code)
) ;

#
# Table structure for table 'phpbb_quota_limits'
#

CREATE TABLE phpbb_quota_limits (
  quota_limit_id mediumint(8) unsigned NOT NULL auto_increment,
  quota_desc varchar(20) NOT NULL default '',
  quota_limit bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (quota_limit_id)
) ;

#
# Table structure for table 'phpbb_ranks'
#

CREATE TABLE phpbb_ranks (
  rank_id smallint(5) unsigned NOT NULL auto_increment,
  rank_title varchar(50) NOT NULL default '',
  rank_min mediumint(8) NOT NULL default '0',
  rank_special tinyint(1) default '0',
  rank_image varchar(255) default NULL,
  PRIMARY KEY  (rank_id)
) ;

#
# Table structure for table 'phpbb_search_results'
#

CREATE TABLE phpbb_search_results (
  search_id int(11) unsigned NOT NULL default '0',
  session_id varchar(32) NOT NULL default '',
  search_array text NOT NULL,
  PRIMARY KEY  (search_id),
  KEY session_id (session_id)
) ;

#
# Table structure for table 'phpbb_search_wordlist'
#

CREATE TABLE phpbb_search_wordlist (
  word_text varchar(50) binary NOT NULL default '',
  word_id mediumint(8) unsigned NOT NULL auto_increment,
  word_common tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (word_text),
  KEY word_id (word_id)
) ;

#
# Table structure for table 'phpbb_search_wordmatch'
#

CREATE TABLE phpbb_search_wordmatch (
  post_id mediumint(8) unsigned NOT NULL default '0',
  word_id mediumint(8) unsigned NOT NULL default '0',
  title_match tinyint(1) NOT NULL default '0',
  KEY post_id (post_id),
  KEY word_id (word_id)
) ;

#
# Table structure for table 'phpbb_sessions'
#

CREATE TABLE phpbb_sessions (
  session_id char(32) NOT NULL default '',
  session_user_id mediumint(8) NOT NULL default '0',
  session_start int(11) NOT NULL default '0',
  session_time int(11) NOT NULL default '0',
  session_ip char(8) NOT NULL default '0',
  session_page int(11) NOT NULL default '0',
  session_logged_in tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (session_id),
  KEY session_user_id (session_user_id),
  KEY session_id_ip_user_id (session_id,session_ip,session_user_id)
) ;

#
# Table structure for table 'phpbb_sh_search_request'
#

CREATE TABLE phpbb_sh_search_request (
  search_request_id int(11) NOT NULL auto_increment,
  person_id int(11) NOT NULL default '0',
  upid int(11) NOT NULL default '0',
  parent_upid int(11) NOT NULL default '0',
  action_date datetime default NULL,
  search_type int(11) NOT NULL default '0',
  search_string text,
  search_parameters text,
  PRIMARY KEY  (search_request_id),
  KEY upid (upid),
  KEY person_id (person_id),
  KEY search_type (search_type)
) ;

#
# Table structure for table 'phpbb_sh_search_request_itemized'
#

CREATE TABLE phpbb_sh_search_request_itemized (
  search_request_itemized_id int(11) NOT NULL auto_increment,
  search_request_id int(11) NOT NULL default '0',
  id int(11) NOT NULL default '0',
  PRIMARY KEY  (search_request_itemized_id)
) ;

#
# Table structure for table 'phpbb_sh_search_results'
#

CREATE TABLE phpbb_sh_search_results (
  search_results_id int(11) NOT NULL auto_increment,
  person_id int(11) NOT NULL default '0',
  upid int(11) NOT NULL default '0',
  parent_upid int(11) NOT NULL default '0',
  action_date datetime default NULL,
  search_type int(11) NOT NULL default '0',
  search_string text,
  search_parameters text,
  PRIMARY KEY  (search_results_id),
  KEY upid (upid),
  KEY person_id (person_id),
  KEY search_type (search_type)
) ;

#
# Table structure for table 'phpbb_sh_search_results_itemized'
#

CREATE TABLE phpbb_sh_search_results_itemized (
  search_results_itemized_id int(11) NOT NULL auto_increment,
  id int(11) NOT NULL default '0',
  search_results_id int(11) NOT NULL default '0',
  PRIMARY KEY  (search_results_itemized_id),
  KEY search_results_id (search_results_id),
  KEY id (id)
) ;

#
# Table structure for table 'phpbb_sh_search_type'
#

CREATE TABLE phpbb_sh_search_type (
  search_type_id int(11) NOT NULL default '0',
  descript text,
  PRIMARY KEY  (search_type_id)
) ;

#
# Table structure for table 'phpbb_smilies'
#

CREATE TABLE phpbb_smilies (
  smilies_id smallint(5) unsigned NOT NULL auto_increment,
  code varchar(50) default NULL,
  smile_url varchar(100) default NULL,
  emoticon varchar(75) default NULL,
  PRIMARY KEY  (smilies_id)
) ;

#
# Table structure for table 'phpbb_state'
#

CREATE TABLE phpbb_state (
  state_id int(11) NOT NULL auto_increment,
  country_id int(11) NOT NULL default '1',
  state_name text,
  state_desc text,
  UNIQUE KEY state_id (state_id),
  KEY country_id (country_id)
) ;

#
# Table structure for table 'phpbb_themes'
#

CREATE TABLE phpbb_themes (
  themes_id mediumint(8) unsigned NOT NULL auto_increment,
  template_name varchar(30) NOT NULL default '',
  style_name varchar(30) NOT NULL default '',
  head_stylesheet varchar(100) default NULL,
  body_background varchar(100) default NULL,
  body_bgcolor varchar(6) default NULL,
  body_text varchar(6) default NULL,
  body_link varchar(6) default NULL,
  body_vlink varchar(6) default NULL,
  body_alink varchar(6) default NULL,
  body_hlink varchar(6) default NULL,
  tr_color1 varchar(6) default NULL,
  tr_color2 varchar(6) default NULL,
  tr_color3 varchar(6) default NULL,
  tr_class1 varchar(25) default NULL,
  tr_class2 varchar(25) default NULL,
  tr_class3 varchar(25) default NULL,
  th_color1 varchar(6) default NULL,
  th_color2 varchar(6) default NULL,
  th_color3 varchar(6) default NULL,
  th_class1 varchar(25) default NULL,
  th_class2 varchar(25) default NULL,
  th_class3 varchar(25) default NULL,
  td_color1 varchar(6) default NULL,
  td_color2 varchar(6) default NULL,
  td_color3 varchar(6) default NULL,
  td_class1 varchar(25) default NULL,
  td_class2 varchar(25) default NULL,
  td_class3 varchar(25) default NULL,
  fontface1 varchar(50) default NULL,
  fontface2 varchar(50) default NULL,
  fontface3 varchar(50) default NULL,
  fontsize1 tinyint(4) default NULL,
  fontsize2 tinyint(4) default NULL,
  fontsize3 tinyint(4) default NULL,
  fontcolor1 varchar(6) default NULL,
  fontcolor2 varchar(6) default NULL,
  fontcolor3 varchar(6) default NULL,
  span_class1 varchar(25) default NULL,
  span_class2 varchar(25) default NULL,
  span_class3 varchar(25) default NULL,
  img_size_poll smallint(5) unsigned default NULL,
  img_size_privmsg smallint(5) unsigned default NULL,
  PRIMARY KEY  (themes_id)
) ;

#
# Table structure for table 'phpbb_themes_name'
#

CREATE TABLE phpbb_themes_name (
  themes_id smallint(5) unsigned NOT NULL default '0',
  tr_color1_name char(50) default NULL,
  tr_color2_name char(50) default NULL,
  tr_color3_name char(50) default NULL,
  tr_class1_name char(50) default NULL,
  tr_class2_name char(50) default NULL,
  tr_class3_name char(50) default NULL,
  th_color1_name char(50) default NULL,
  th_color2_name char(50) default NULL,
  th_color3_name char(50) default NULL,
  th_class1_name char(50) default NULL,
  th_class2_name char(50) default NULL,
  th_class3_name char(50) default NULL,
  td_color1_name char(50) default NULL,
  td_color2_name char(50) default NULL,
  td_color3_name char(50) default NULL,
  td_class1_name char(50) default NULL,
  td_class2_name char(50) default NULL,
  td_class3_name char(50) default NULL,
  fontface1_name char(50) default NULL,
  fontface2_name char(50) default NULL,
  fontface3_name char(50) default NULL,
  fontsize1_name char(50) default NULL,
  fontsize2_name char(50) default NULL,
  fontsize3_name char(50) default NULL,
  fontcolor1_name char(50) default NULL,
  fontcolor2_name char(50) default NULL,
  fontcolor3_name char(50) default NULL,
  span_class1_name char(50) default NULL,
  span_class2_name char(50) default NULL,
  span_class3_name char(50) default NULL,
  PRIMARY KEY  (themes_id)
) ;

#
# Table structure for table 'phpbb_topics'
#

CREATE TABLE phpbb_topics (
  topic_id mediumint(8) unsigned NOT NULL auto_increment,
  forum_id smallint(8) unsigned NOT NULL default '0',
  topic_title char(60) NOT NULL default '',
  topic_poster mediumint(8) NOT NULL default '0',
  topic_time int(11) NOT NULL default '0',
  topic_views mediumint(8) unsigned NOT NULL default '0',
  topic_replies mediumint(8) unsigned NOT NULL default '0',
  topic_status tinyint(3) NOT NULL default '0',
  topic_vote tinyint(1) NOT NULL default '0',
  topic_type tinyint(3) NOT NULL default '0',
  topic_first_post_id mediumint(8) unsigned NOT NULL default '0',
  topic_last_post_id mediumint(8) unsigned NOT NULL default '0',
  topic_moved_id mediumint(8) unsigned NOT NULL default '0',
  topic_attachment tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (topic_id),
  KEY forum_id (forum_id),
  KEY topic_moved_id (topic_moved_id),
  KEY topic_status (topic_status),
  KEY topic_type (topic_type)
) ;

#
# Table structure for table 'phpbb_topics_watch'
#

CREATE TABLE phpbb_topics_watch (
  topic_id mediumint(8) unsigned NOT NULL default '0',
  user_id mediumint(8) NOT NULL default '0',
  notify_status tinyint(1) NOT NULL default '0',
  KEY topic_id (topic_id),
  KEY user_id (user_id),
  KEY notify_status (notify_status)
) ;

#
# Table structure for table 'phpbb_user_group'
#

CREATE TABLE phpbb_user_group (
  group_id mediumint(8) NOT NULL default '0',
  user_id mediumint(8) NOT NULL default '0',
  user_pending tinyint(1) default NULL,
  KEY group_id (group_id),
  KEY user_id (user_id)
) ;

#
# Table structure for table 'phpbb_users'
#

CREATE TABLE phpbb_users (
  user_id mediumint(8) NOT NULL default '0',
  user_active tinyint(1) default '1',
  username varchar(25) NOT NULL default '',
  user_password varchar(32) NOT NULL default '',
  user_session_time int(11) NOT NULL default '0',
  user_session_page smallint(5) NOT NULL default '0',
  user_lastvisit int(11) NOT NULL default '0',
  user_regdate int(11) NOT NULL default '0',
  user_level tinyint(4) default '0',
  user_posts mediumint(8) unsigned NOT NULL default '0',
  user_timezone decimal(5,2) NOT NULL default '0.00',
  user_style tinyint(4) default NULL,
  user_lang varchar(255) default NULL,
  user_dateformat varchar(14) NOT NULL default 'd M Y H:i',
  user_new_privmsg smallint(5) unsigned NOT NULL default '0',
  user_unread_privmsg smallint(5) unsigned NOT NULL default '0',
  user_last_privmsg int(11) NOT NULL default '0',
  user_emailtime int(11) default NULL,
  user_viewemail tinyint(1) default NULL,
  user_attachsig tinyint(1) default NULL,
  user_allowhtml tinyint(1) default '1',
  user_allowbbcode tinyint(1) default '1',
  user_allowsmile tinyint(1) default '1',
  user_allowavatar tinyint(1) NOT NULL default '1',
  user_allow_pm tinyint(1) NOT NULL default '1',
  user_allow_viewonline tinyint(1) NOT NULL default '1',
  user_notify tinyint(1) NOT NULL default '1',
  user_notify_pm tinyint(1) NOT NULL default '0',
  user_popup_pm tinyint(1) NOT NULL default '0',
  user_rank int(11) default '0',
  user_avatar varchar(100) default NULL,
  user_avatar_type tinyint(4) NOT NULL default '0',
  user_email varchar(255) default NULL,
  user_icq varchar(15) default NULL,
  user_website varchar(100) default NULL,
  user_from varchar(100) default NULL,
  user_sig text,
  user_sig_bbcode_uid varchar(10) default NULL,
  user_aim varchar(255) default NULL,
  user_yim varchar(255) default NULL,
  user_msnm varchar(255) default NULL,
  user_occ varchar(100) default NULL,
  user_interests varchar(255) default NULL,
  user_actkey varchar(32) default NULL,
  user_newpasswd varchar(32) default NULL,
  user_college int(11) NOT NULL default '-1',
  user_phone varchar(64) NOT NULL default 'no phone',
  user_cellphone varchar(64) NOT NULL default 'no phone',
  PRIMARY KEY  (user_id),
  KEY user_session_time (user_session_time),
  KEY user_college (user_college)
) ;

#
# Table structure for table 'phpbb_vote_desc'
#

CREATE TABLE phpbb_vote_desc (
  vote_id mediumint(8) unsigned NOT NULL auto_increment,
  topic_id mediumint(8) unsigned NOT NULL default '0',
  vote_text text NOT NULL,
  vote_start int(11) NOT NULL default '0',
  vote_length int(11) NOT NULL default '0',
  PRIMARY KEY  (vote_id),
  KEY topic_id (topic_id)
) ;

#
# Table structure for table 'phpbb_vote_results'
#

CREATE TABLE phpbb_vote_results (
  vote_id mediumint(8) unsigned NOT NULL default '0',
  vote_option_id tinyint(4) unsigned NOT NULL default '0',
  vote_option_text varchar(255) NOT NULL default '',
  vote_result int(11) NOT NULL default '0',
  KEY vote_option_id (vote_option_id),
  KEY vote_id (vote_id)
) ;

#
# Table structure for table 'phpbb_vote_voters'
#

CREATE TABLE phpbb_vote_voters (
  vote_id mediumint(8) unsigned NOT NULL default '0',
  vote_user_id mediumint(8) NOT NULL default '0',
  vote_user_ip char(8) NOT NULL default '',
  KEY vote_id (vote_id),
  KEY vote_user_id (vote_user_id),
  KEY vote_user_ip (vote_user_ip)
) ;

#
# Table structure for table 'phpbb_words'
#

CREATE TABLE phpbb_words (
  word_id mediumint(8) unsigned NOT NULL auto_increment,
  word char(100) NOT NULL default '',
  replacement char(100) NOT NULL default '',
  PRIMARY KEY  (word_id)
) ;

